% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pval_simu.R
\name{pval_simu}
\alias{pval_simu}
\title{Computing P-values with a Simulated Sample from the Null Distribution}
\usage{
pval_simu(s, theo_dist)
}
\arguments{
\item{s}{the observation whose p-value is computed.  For instance a
Likelihood Ratio.}

\item{theo_dist}{the sample of the distribution under the null hypothesis.}
}
\value{
The p-value associated to the observation \code{s}.
}
\description{
This function computes the p-value of a statistic using a simulated sample
from its theoretical null distribution.
}
\examples{

if(interactive()){
theo_dist <- rnorm(n=10000, mean=0, sd=1)
TcGSA:::pval_simu(s=1.96, theo_dist)
1-pnorm(q=1.96, mean = 0, sd = 1, lower.tail = TRUE, log.p = FALSE)
}

}
\seealso{
\code{\link{rchisqmix}}
}
\author{
Boris P. Hejblum
}
\keyword{internal}
